Subject: Re: NFSv4 Replication and Migration: design team conference call/Draft

From: "Juan Gomez" <[email-masked]>
Date: Fri, 31 May 2002 16:58:04 -0700

A couple of suggestions/questions regarding the draft and the recent
minute:

1.-Do we want to provide for failure recovery in the migration/replication
protocol? I know that in most cases we should be sending differential
changes to the filesystems but I keep thinking of the case were we have a
full (intial) migration/replication of a file system and one side involved
in the process fails; do we want to have some type of migration
checkpointing?

2.-I think striving for a efficient bandwith utilization is a great idea so
I wanted to make the group aware of recent work in this area that may
relevant to the design of a a bandwith efficient migration replication
protocol:

http://www.cs.ucsd.edu/sosp01/papers/mazieres.pdf

I think the bandwith-saving ideas presented in this paper may work great in
migration/replication. What do you guys think? I am not so sure if any
patents cover these ideas there, though.

Juan

|---------+---------------------------->
|         |           Robert Thurlow   |
|         |           <Robert.Thurlow@e|
|         |           ng.sun.com>      |
|         |                            |
|         |           05/30/02 09:12 AM|
|         |           Please respond to|
|         |           Robert Thurlow   |
|         |                            |
|---------+---------------------------->
  >------------------------------------------------------------------------------------------------------------------------|
  |                                                                                                                        |
  |       To:       Juan Gomez/Almaden/IBM@IBMUS                                                                           |
  |       cc:                                                                                                              |
  |       Subject:  Re: NFSv4 Replication and Migration: design team conference call                                       |
  |                                                                                                                        |
  |                                                                                                                        |
  >------------------------------------------------------------------------------------------------------------------------|

> If you are having a semi-private group other than the NFSv4 wg list for
the
> review of the draft to be I would also like to be there.

Certainly.  Look for minutes on the WG alias in a few minutes,
and here's the rough draft I sent to the design team.

Rob T

#### draft-thurlow-repl-mig-design-00.txt has been removed from this note
on May 31 2002 by Juan Gomez